Last modified: 2012-10-17 15:26:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36791 - Date selector on SpecialCentralNotice should use the jquery.ui.datepicker module
Date selector on SpecialCentralNotice should use the jquery.ui.datepicker module
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralNotice (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Adam Wight
: easy, fun-com, fundraising, i18n, patch-need-review
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-05-12 11:54 UTC by Amir E. Aharoni
Modified: 2012-10-17 15:26 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-05-12 11:54:02 UTC
The current date selector on Special:CentralNotice is hand-crafted and this has several problems:
* It may require separate maintenance.
* It assumes the USA order of month, day, year.
* With an RTL interface language the order becomes even stranger: year, day, month.

It should be replaced by the jQuery datepicker, which is already used in at least two extension, is well maintained by its own and has pretty good internationalization.
Comment 1 Krinkle 2012-05-13 23:04:00 UTC
Rephrasing to specific task of changing to to use jquery.ui.datepicker module (instead of "a jQuery datepicker").
Comment 2 Adam Wight 2012-08-07 19:13:20 UTC
Here's an attempted fix.  The date should be correctly internationalized, thanks for the report!

https://gerrit.wikimedia.org/r/17975

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links